# BlurStyle enum

Styles to use for blurs in MaskFilter objects.

## Constants

inner → const BlurStyle

  Fuzzy inside, nothing outside. This can make shapes appear to be lit from within.

  `const BlurStyle(3)`
normal → const BlurStyle

  Fuzzy inside and outside. This is useful for painting shadows that are offset from the shape that ostensibly is casting the shadow.

  `const BlurStyle(0)`
outer → const BlurStyle

  Nothing inside, fuzzy outside. This is useful for painting shadows for partially transparent shapes, when they are painted separately but without an offset, so that the shadow doesn't paint below the shape.

  `const BlurStyle(2)`
solid → const BlurStyle

  Solid inside, fuzzy outside. This corresponds to drawing the shape, and additionally drawing the blur. This can make objects appear brighter, maybe even as if they were fluorescent.

  `const BlurStyle(1)`
values → const List<BlurStyle>

  A constant List of the values in this enum, in order of their declaration.

  `const List<BlurStyle>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited